package com.foreverwin.mesnac.quartz.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 系统任务日志表
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-24
 */

@TableName("Z_SYSTEM_JOB_LOG")

public class SystemJobLog extends Model<SystemJobLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 任务BO
     */
   @TableField("JOB_BO")
   private String jobBo;
    /**
     * 任务名称
     */
   @TableField("NAME")
   private String name;
    /**
     * 任务描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 任务类
     */
   @TableField("JOB_CLASS")
   private String jobClass;
    /**
     * 任务组
     */
   @TableField("JOB_GROUP")
   private String jobGroup;
    /**
     * 任务参数
     */
   @TableField("JOB_PARAM")
   private String jobParam;
    /**
     * 任务状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 异常
     */
   @TableField("ERROR")
   private String error;
    /**
     * 运行时间
     */
   @TableField("RUN_TIME")
   private Long runTime;
    /**
     * 开始时间
     */
   @TableField("START_DATE_TIME")
   private LocalDateTime startDateTime;
    /**
     * 结束时间
     */
   @TableField("END_DATE_TIME")
   private LocalDateTime endDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getJobBo() {
      return jobBo;
   }

   public void setJobBo(String jobBo) {
      this.jobBo = jobBo;
   }

   public String getName() {
      return name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getJobClass() {
      return jobClass;
   }

   public void setJobClass(String jobClass) {
      this.jobClass = jobClass;
   }

   public String getJobGroup() {
      return jobGroup;
   }

   public void setJobGroup(String jobGroup) {
      this.jobGroup = jobGroup;
   }

   public String getJobParam() {
      return jobParam;
   }

   public void setJobParam(String jobParam) {
      this.jobParam = jobParam;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getError() {
      return error;
   }

   public void setError(String error) {
      this.error = error;
   }

   public Long getRunTime() {
      return runTime;
   }

   public void setRunTime(Long runTime) {
      this.runTime = runTime;
   }

   public LocalDateTime getStartDateTime() {
      return startDateTime;
   }

   public void setStartDateTime(LocalDateTime startDateTime) {
      this.startDateTime = startDateTime;
   }

   public LocalDateTime getEndDateTime() {
      return endDateTime;
   }

   public void setEndDateTime(LocalDateTime endDateTime) {
      this.endDateTime = endDateTime;
   }

   public static final String HANDLE = "HANDLE";

   public static final String JOB_BO = "JOB_BO";

   public static final String NAME = "NAME";

   public static final String DESCRIPTION = "DESCRIPTION";

   public static final String JOB_CLASS = "JOB_CLASS";

   public static final String JOB_GROUP = "JOB_GROUP";

   public static final String JOB_PARAM = "JOB_PARAM";

   public static final String STATUS = "STATUS";

   public static final String ERROR = "ERROR";

   public static final String RUN_TIME = "RUN_TIME";

   public static final String START_DATE_TIME = "START_DATE_TIME";

   public static final String END_DATE_TIME = "END_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SystemJobLog{" +
         "handle = " + handle +
         ", jobBo = " + jobBo +
         ", name = " + name +
         ", description = " + description +
         ", jobClass = " + jobClass +
         ", jobGroup = " + jobGroup +
         ", jobParam = " + jobParam +
         ", status = " + status +
         ", error = " + error +
         ", runTime = " + runTime +
         ", startDateTime = " + startDateTime +
         ", endDateTime = " + endDateTime +
         "}";
   }
}